<?php

namespace Drupal\proc\Controller;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Controller\ControllerBase;
use Drupal\proc\Traits\ProcRecipientTrait;


/**
 * Controller.
 */
class ProcController extends ControllerBase  {

  use ProcRecipientTrait;

  /**
   * Checks whether the user is a possible recipient for a PGP message.
   *
   * @param string $users
   *   User IDs as CSV.
   *
   * @return \Drupal\Core\Access\AccessResultForbidden
   *   Controller response.
   */
  public function checkRecipientsCsvController($users) {
    $rejected_recipient_candidate = $this->checkRecipientsCsv($users);

    if (!is_int($rejected_recipient_candidate) && $rejected_recipient_candidate != FALSE) {
      return AccessResult::allowed();
    }
    return AccessResult::forbidden($this->t('User account %rejected_recipient_candidate does not exist or user is not a holder of PGP keys.', ['%rejected_recipient_candidate' => $rejected_recipient_candidate])
    );
  }
}
